Package ru.bitel.oss.systems.inventory.resource.common.service

# Interface PhoneResourceService

public interface PhoneResourceService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `phoneCategoryDelete(int id)`
  `List<PhoneCategory>`
  `phoneCategoryList()`
  `PhoneCategory`
  `phoneCategoryRoot()`
  `int`
  `phoneCategoryUpdate(PhoneCategory phoneCategory)`
  `List<Long>`
  `phoneFreeList(Integer categoryId, Set<Integer> resourceIds, Date date, String numberFilter, int count)`
  `void`
  `phoneResourceDelete(int id)`
  `PhoneResource`
  `phoneResourceGet(int id)`
  `void`
  `phoneResourceImport(int categoryId, String importData)`
  `List<PhoneResource>`
  `phoneResourceList(int phoneCategoryId)`
  `boolean`
  `phoneResourceSubscribe(long phone, int subscriberId, String subscriberTitle, Date dateFrom, Date dateTo)`
  `void`
  `phoneResourceUnsubscribe(int subscriberId)`
  `int`
  `phoneResourceUpdate(PhoneResource phoneResource)`
  `Result<PhoneResourceSubscription>`
  `phoneSubscriptionList(int id, Date dateFrom, Date dateTo, Page page)`

- ## Method Details

  - ### phoneCategoryRoot

    PhoneCategory phoneCategoryRoot() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### phoneCategoryUpdate

    int phoneCategoryUpdate(PhoneCategory phoneCategory) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### phoneCategoryDelete

    void phoneCategoryDelete(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### phoneResourceList

    List<PhoneResource> phoneResourceList(int phoneCategoryId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### phoneResourceDelete

    void phoneResourceDelete(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### phoneResourceUpdate

    int phoneResourceUpdate(PhoneResource phoneResource) throws Exception
    Throws:
      `Exception`

  - ### phoneResourceGet

    PhoneResource phoneResourceGet(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### phoneSubscriptionList

    Result<PhoneResourceSubscription> phoneSubscriptionList(int id, Date dateFrom, Date dateTo, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### phoneFreeList

    List<Long> phoneFreeList(Integer categoryId, Set<Integer> resourceIds, Date date, String numberFilter, int count) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### phoneResourceSubscribe

    boolean phoneResourceSubscribe(long phone, int subscriberId, String subscriberTitle, Date dateFrom, Date dateTo) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### phoneResourceUnsubscribe

    void phoneResourceUnsubscribe(int subscriberId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### phoneCategoryList

    List<PhoneCategory> phoneCategoryList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### phoneResourceImport

    void phoneResourceImport(int categoryId, String importData) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`